package org.nl.acs.device_driver.driver;

import org.nl.acs.device_driver.DeviceDriver;

public interface ExecutableDeviceDriver extends DeviceDriver {
  default void executeAuto() throws Exception {
        //    try {
        //      this.execute();
        //    } catch (Throwable var6) {
        //      String message = "线程调用异常:" + var6.getMessage();
        //      Log.error(message);
        //    } finally {
        //    }
              this.execute();

  }

  void execute() throws Exception;
}
